Last Comment Bug 754503 - Some embedded Flash on abcnews.com will not load (plugin object area is blank)
: Some embedded Flash on abcnews.com will not load (plugin object area is blank)
Status: VERIFIED FIXED
[js:p1:fx15]
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 14 Branch
: All All
: -- normal (vote)
: mozilla15
Assigned To: Luke Wagner [:luke]
:
Mentors:
http://abcnews.go.com/Nightline/mythb...
Depends on:
Blocks: 740259
  Show dependency treegraph
 
Reported: 2012-05-11 17:42 PDT by IU
Modified: 2012-09-21 01:29 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
+
verified


Attachments
fix (1.70 KB, patch)
2012-05-14 11:31 PDT, Luke Wagner [:luke]
bhackett1024: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review
Test case wmv video failing (1.27 KB, text/plain)
2012-09-21 00:48 PDT, volatilevol
no flags Details
Test case wmv video with workaround (1.67 KB, text/plain)
2012-09-21 00:53 PDT, volatilevol
no flags Details

Description IU 2012-05-11 17:42:30 PDT
Some embedded Flash on abcnews.com will not load (plugin object area is blank)

STR:
Visit the following URL: http://abcnews.go.com/Nightline/mythbusters-kardashian-fact-versus-fairy-tale/story?id=10729219#.T62lo32_4SH

The regression window is:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=b1421c3cd5c8&tochange=1664d00a1d24

Caused by either bug 740446 or bug 740259.  Suspect bug 740259.
Comment 1 Luke Wagner [:luke] 2012-05-11 19:02:44 PDT
Yep, definitely bug 740259.  I'll look into it.
Comment 2 Luke Wagner [:luke] 2012-05-14 11:31:21 PDT
Created attachment 623736 [details] [diff] [review]
fix

This is funny.  I bisected the problem to a line of JS in flashembed.js:
  var i=document.all
where "i" is an aliased variable.  The bug is that JSOP_SETLOCAL is JOF_DETECTING and JSOP_SETALIASEDVAR is not.

Finally, FF users can find out the answer to that burning question:
  Fact vs. Fairy Tale: Does Kim Kardashian Have Butt Implants?
Comment 4 Luke Wagner [:luke] 2012-05-14 12:50:59 PDT
Comment on attachment 623736 [details] [diff] [review]
fix

[Approval Request Comment]
Regression caused by (bug #): 740259
User impact if declined: broken web pages (such as comment 0)
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): very low
Comment 5 Ed Morley [:emorley] 2012-05-15 06:49:54 PDT
https://hg.mozilla.org/mozilla-central/rev/984073312d57
Comment 6 Alex Keybl [:akeybl] 2012-05-16 11:42:07 PDT
Comment on attachment 623736 [details] [diff] [review]
fix

[Triage Comment]
Website breakage, regression in 14, low risk. Approved for Aurora 14.
Comment 8 Paul Silaghi, QA [:pauly] 2012-06-15 00:29:18 PDT
Verified fixed on FF 14b7 on Win 7, Ubuntu 12.04 and Mac OS X 10.6.
Comment 9 Paul Silaghi, QA [:pauly] 2012-08-03 04:14:14 PDT
Flash content is loaded ok. Verified fixed on FF 15b3 on Win 7, Ubuntu 12.04 and Mac OS X 10.6.
Comment 10 volatilevol 2012-09-21 00:48:42 PDT
Created attachment 663318 [details]
Test case wmv video failing
Comment 11 volatilevol 2012-09-21 00:51:04 PDT
Comment on attachment 663318 [details]
Test case wmv video failing

Verified error on Firefox 15 on windows Xp

Object area is blank on loading the page, it takes more than 30 seconds once the video is downloaded to appear.

Is not a matter of the browser waiting the video to download and then showing it after the download is finished
because if you use a video stored on your filesystem (without a server) it takes more time to appear and sometimes 
it doesn't even appear and only selecting the object in firebug on the HTML tab forces the video content to load.

Verified the error with the following three ways to include a WMV video (only one at a time) :
 
           <embed name="video" style="border:1px solid blue" type="application/x-mplayer2" src ="http://res1.windows.microsoft.com/resbox/en/Windows%207/Main/c4e45c98-505e-471d-80c3-a383dea3d647_7.wmv" width="800" height="600" showcontrols="1"></embed>
		
			<object type="video/x-ms-wmv" style="border:1px solid blue" data="http://res1.windows.microsoft.com/resbox/en/Windows%207/Main/c4e45c98-505e-471d-80c3-a383dea3d647_7.wmv" width="800" height="600">
              <param name="src" value="http://res1.windows.microsoft.com/resbox/en/Windows%207/Main/c4e45c98-505e-471d-80c3-a383dea3d647_7.wmv" />
              <param name="controller" value="true" />
              <param name="autostart" value="true" />
            </object>
		
            <object type="application/x-mplayer2" style="border:1px solid blue" width="800" height="600" data="http://res1.windows.microsoft.com/resbox/en/Windows%207/Main/c4e45c98-505e-471d-80c3-a383dea3d647_7.wmv">
                  <param name="pluginurl" value="http://www.microsoft.com/Windows/MediaPlayer/" />
                  <param name="controller" value="true" />
            </object>
Comment 12 volatilevol 2012-09-21 00:53:48 PDT
Created attachment 663319 [details]
Test case wmv video with workaround

A workaround has been found duplicating the object (with very small dimensions to not interfere on the display), when more than one object is present on the page the first video loads OK and appears instantly on the page and only the last video included takes more time to load.
Comment 13 Scoobidiver (away) 2012-09-21 01:29:24 PDT
volatilevol, this bug is fixed and verified. If you think you have discovered a new issue, please file a new bug.

Note You need to log in before you can comment on or make changes to this bug.